## r-cran-deriv 4.1.3

=== DESCRIPTION ===
Package: Deriv
Type: Package
Title: Symbolic Differentiation
Version: 4.1.3
Date: 2021-02-24
Authors@R: c(person(given="Andrew", family="Clausen", role="aut"),
    person(given="Serguei", family="Sokol", role=c("aut", "cre"),
    email="sokol@insa-toulouse.fr", comment = c(ORCID = "0000-0002-5674-3327")),
    person(given="Andreas", family="Rappold", role="ctb", email="arappold@gmx.at"))
Description: R-based solution for symbolic differentiation. It admits
    user-defined function as well as function substitution
    in arguments of functions to be differentiated. Some symbolic
    simplification is part of the work.
License: GPL (>= 3)
Suggests: testthat
BugReports: https://github.com/sgsokol/Deriv/issues
RoxygenNote: 7.1.0
Imports: methods
NeedsCompilation: no
Packaged: 2021-02-24 15:25:52 UTC; sokol
Author: Andrew Clausen [aut],
  Serguei Sokol [aut, cre] (<https://orcid.org/0000-0002-5674-3327>),
  Andreas Rappold [ctb]
Maintainer: Serguei Sokol <sokol@insa-toulouse.fr>
Repository: CRAN
Date/Publication: 2021-02-24 17:00:05 UTC

=== debian/changelog ===
r-cran-deriv (4.1.3-2) unstable; urgency=medium

  * Rebuilding now that package is in Debian

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 19 Jul 2024 13:05:35 -0500

r-cran-deriv (4.1.3-1) unstable; urgency=low

  * Initial Debian release 			(Closes: #1076114)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 10 Jul 2024 18:23:43 -0500

=== debian/control ===
Source: r-cran-deriv
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-deriv
Vcs-Git: https://salsa.debian.org/edd/r-cran-deriv.git
Homepage: https://cran.r-project.org/package=deriv

Package: r-cran-deriv
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}
Suggests: r-cran-testthat
Description: GNU R package to peform Symbolic Differentiation
 R-based solution for symbolic differentiation. It admits
 user-defined function as well as function substitution
 in arguments of functions to be differentiated. Some symbolic
 simplification is part of the work.

## r-cran-deriv 4.1.6

=== DESCRIPTION ===
Package: Deriv
Type: Package
Title: Symbolic Differentiation
Version: 4.1.6
Date: 2024-09-12
Authors@R: c(person(given="Andrew", family="Clausen", role="aut"),
    person(given="Serguei", family="Sokol", role=c("aut", "cre"),
    email="sokol@insa-toulouse.fr", comment = c(ORCID = "0000-0002-5674-3327")),
    person(given="Andreas", family="Rappold", role="ctb", email="arappold@gmx.at"))
Description: R-based solution for symbolic differentiation. It admits
    user-defined function as well as function substitution
    in arguments of functions to be differentiated. Some symbolic
    simplification is part of the work.
License: GPL (>= 3)
Suggests: testthat (>= 0.11.0)
BugReports: https://github.com/sgsokol/Deriv/issues
RoxygenNote: 7.3.1
Imports: methods
NeedsCompilation: no
Packaged: 2024-09-13 09:47:47 UTC; sokol
Author: Andrew Clausen [aut],
  Serguei Sokol [aut, cre] (<https://orcid.org/0000-0002-5674-3327>),
  Andreas Rappold [ctb]
Maintainer: Serguei Sokol <sokol@insa-toulouse.fr>
Repository: CRAN
Date/Publication: 2024-09-13 10:30:02 UTC

=== debian/changelog ===
r-cran-deriv (4.1.6-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 Sep 2024 06:36:47 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-deriv
 Vcs-Git: https://salsa.debian.org/edd/r-cran-deriv.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-deriv package
# Copyright 2003 - 2024 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-deriv 4.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: Deriv
 Type: Package
 Title: Symbolic Differentiation
-Version: 4.1.6
-Date: 2024-09-12
+Version: 4.2.0
+Date: 2025-06-20
 Authors@R: c(person(given="Andrew", family="Clausen", role="aut"),
     person(given="Serguei", family="Sokol", role=c("aut", "cre"),
     email="sokol@insa-toulouse.fr", comment = c(ORCID = "0000-0002-5674-3327")),
@@ -16,11 +16,13 @@
 BugReports: https://github.com/sgsokol/Deriv/issues
 RoxygenNote: 7.3.1
 Imports: methods
+Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2024-09-13 09:47:47 UTC; sokol
+Packaged: 2025-06-20 13:25:20 UTC; sokol
 Author: Andrew Clausen [aut],
-  Serguei Sokol [aut, cre] (<https://orcid.org/0000-0002-5674-3327>),
+  Serguei Sokol [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-5674-3327>),
   Andreas Rappold [ctb]
 Maintainer: Serguei Sokol <sokol@insa-toulouse.fr>
 Repository: CRAN
-Date/Publication: 2024-09-13 10:30:02 UTC
+Date/Publication: 2025-06-20 15:20:02 UTC

=== debian/changelog ===
r-cran-deriv (4.2.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

  * debian/control: Correct Homapage field	(Closes: #1083265)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Jun 2025 15:18:46 -0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.1), dh-r
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-deriv
 Vcs-Git: https://salsa.debian.org/edd/r-cran-deriv.git
-Homepage: https://cran.r-project.org/package=deriv
+Homepage: https://cran.r-project.org/package=Deriv
 
 Package: r-cran-deriv
 Architecture: all

=== debian/watch ===
version=3
https://cloud.r-project.org/src/contrib/Deriv_([-\d\.]*)\.tar.gz
